Subject: bug#16457: 24.3.50; crash rendering Arabic Uthmani script

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Jan 2014 14:03:02 +0200

> Date: Fri, 17 Jan 2014 15:16:56 +0400
> From: Dmitry Antipov <[email-masked]>
> CC: [email-masked]
> 
> On 01/17/2014 01:10 PM, Eli Zaretskii wrote:
> 
> > Can you show the same results of debugging printouts in a
> > "--without-m17n-flt" build?
> 
> Results are eventually empty - I don't see anything. IOW, composition_update_it
> is never called, at least when I do (move-to-column 10).

That means we never try to compose the characters, so this is not very
useful to debug the problem.

> > Also, if you manually move point to buffer position 11, what column
> > number do you see there?
> 
> I can't move to 11 by advancing the cursor because it crasher earlier.

So redisplay also crashes.  At least this is consistent, as the same
code is used both for move-to-column and for display.

> BTW, there is one more glitch - when I do 'emacs -Q uthmani-test.txt',
> then 'M-x column-number-mode', then [left-arrow] few times, the column
> number in mode line becomes incorrect and shown as 1003 or something
> like this.

I think this is part of the same problem.